Bug 1300222 - Review Request: ripe-atlas-tools - The official command line client for RIPE Atlas
Review Request: ripe-atlas-tools - The official command line client for RIPE ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On: 1300217 1300219
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 05:04 EST by Jan Včelák
Modified: 2016-06-03 19:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-03 19:43:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pwouters: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jan Včelák 2016-01-20 05:04:30 EST
Spec URL: https://jvcelak.fedorapeople.org/review/ripe-atlas-tools/1.2.2-1/ripe-atlas-tools.spec
SRPM URL: https://jvcelak.fedorapeople.org/review/ripe-atlas-tools/1.2.2-1/ripe-atlas-tools-1.2.2-1.fc23.src.rpm
Description: The official command line client for RIPE Atlas
Fedora Account System Username: jvcelak

COPR builds: https://copr.fedoraproject.org/coprs/jvcelak/ripe-atlas-tools/package/ripe-atlas-tools/

The package depends on packages, that are currently under a review ripe-atlas-cousteau (#1300219) and ripe-atlas-sagan (#1300217).
Comment 3 Paul Wouters 2016-05-30 16:24:32 EDT
review: PASSED

ote: for me the tests in make check works fine on my f24 install.

Note: mock build failed due to missing dependancies which are there
in rawhide. So not a problem.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 11 files have
     unknown license. Detailed output of licensecheck in /home/paul/1300222
     -ripe-atlas-tools/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.5/site-
     packages/ripe/atlas(python3-ripe-atlas-sagan), /usr/lib/python3.5
     /site-packages/ripe(python3-ripe-atlas-sagan)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.17 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.17
INFO: Mock Version: 1.2.17
Finish: chroot init
INFO: installing package(s): /home/paul/1300222-ripe-atlas-tools/results/ripe-atlas-tools-1.2.3-1.fc25.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /home/paul/1300222-ripe-atlas-tools/results/ripe-atlas-tools-1.2.3-1.fc25.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: ripe-atlas-tools-1.2.3-1.fc25.noarch.rpm
          ripe-atlas-tools-1.2.3-1.fc25.src.rpm
ripe-atlas-tools.noarch: W: no-manual-page-for-binary aping
ripe-atlas-tools.noarch: W: no-manual-page-for-binary atraceroute
ripe-atlas-tools.noarch: W: no-manual-page-for-binary adig
ripe-atlas-tools.noarch: W: no-manual-page-for-binary ahttp
ripe-atlas-tools.noarch: W: no-manual-page-for-binary ripe-atlas
ripe-atlas-tools.noarch: W: no-manual-page-for-binary asslcert
ripe-atlas-tools.noarch: W: no-manual-page-for-binary antp
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

Requires
--------
ripe-atlas-tools (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-PyYAML
    python3-dateutil
    python3-pyOpenSSL
    python3-requests
    python3-ripe-atlas-cousteau
    python3-ripe-atlas-sagan
    python3-tzlocal



Provides
--------
ripe-atlas-tools:
    ripe-atlas-tools



Source checksums
----------------
https://pypi.python.org/packages/source/r/ripe.atlas.tools/ripe.atlas.tools-1.2.3.tar.gz :
  CHECKSUM(SHA256) this package     : fa93796623789fbcc2ed651297a704da4d3239b5eed13d637ba1361efccecc1c
  CHECKSUM(SHA256) upstream package : fa93796623789fbcc2ed651297a704da4d3239b5eed13d637ba1361efccecc1c


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1300222
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Gwyn Ciesla 2016-06-03 12:35:03 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/ripe-atlas-tools

Note You need to log in before you can comment on or make changes to this bug.